S3QLADM(1)

NAME
s3qladm - Manage S3QL buckets

SYNOPSIS

s3qladm [options] <action> <storage url>

where action may be either of passphrase, upgrade, delete or download-metadata.

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The s3qladm command performs various operations on S3QL buckets. The file system contained in the bucket must not be mounted when using s3qladm or things will go wrong badly.

The storage url depends on the backend that is used. The S3QL User's Guide should be consulted for a description of the available backends.

OPTIONS

The s3qladm command accepts the following options.

--debug <module>
    activate debugging output from <module>. Use all to get debug messages from all modules. This option can be specified multiple times.

--quiet
    be really quiet

--log <target>
    Write logging info into this file. File will be rotated when it reaches 1 MB, and at most 5 old log files will be kept. Specify none to disable logging. Default: none

--authfile <path>
    Read authentication credentials from this file (default: ~/.s3ql/authinfo2)

--cachedir <path>
    Store cached data in this directory (default: ~/.s3ql)

--version
    just print program version and exit

    Hint: run s3qladm <action> --help to get help on the additional arguments that the different actions take.

ACTIONS

The following actions may be specified:

passphrase
    Changes the encryption passphrase of the bucket.

upgrade
    Upgrade the file system contained in the bucket to the newest revision.

delete
    Delete the bucket and all its contents.

download-metadata
    Interactively download backups of the file system metadata.

EXIT STATUS

s3qladm returns exit code 0 if the operation succeeded and 1 if some error occured.

SEE ALSO

The S3QL homepage is at http://code.google.com/p/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, conventional locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
2008-2011, Nikolaus Rath